%define name	gtk-gnutella
%define version	0.96.3
%define distsuffix plf
%define release	%mkrel 1
%define summary	Gnutella GTK client

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	%{summary}
License: 	GPL
Group: 		Networking/File transfer
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-remote-shell.txt.bz2
Source10:	%{name}.16.png
Source11:	%{name}.32.png
Source12:	%{name}.48.png
URL: 		http://gtk-gnutella.sourceforge.net
Buildroot: 	%{_tmppath}/%{name}-buildroot
Buildrequires:	gtk+2-devel
Buildrequires:	libxml2-devel
Buildrequires:	bison
Buildrequires:	byacc

%description
Gtk-gnutella is a client of Gnutella network (http://www.gnutella.com/).
It's a fully-featured servent, designed to share any type of file.
Gtk-gnutella implements compressed connections, ultrapeer and leaf 
nodes, Passive/Active Remote Queueing (PARQ), and other modern 
gnutella network features.

This package is in PLF because of Mandriva Linux policy forbidding P2P
software.

%prep
%setup -q -n %name-%version

%build
./Configure -Dprefix=%_prefix/ -Dbindir=%_bindir/ -Dprivlib=%_datadir/%name/ \
        -Dsysman=%_mandir/man1/ -Ucc="$CC" -Dccflags="-Wall $CFLAGS" \
        -Doptimize="%optflags" -Dgtkversion=2 -Dremotectrl=true \
        -Dofficial=true -ders 
#perl -p -i -e 's/SQuoTe\(a\)\"a/SQuoTe\(a\)\"a\"/g' config.h
#perl -p -i -e 's/EQuoTe\(a\)a\"/EQuoTe\(a\)\"a\"/g' config.h
#perl -p -i -e 's/usr\/local/usr/g' src/Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_mandir/man1
make install INSTALL_PREFIX=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

# extra docs
bunzip2 -c %{SOURCE1} > remote-shell.txt

# icons
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	title="Gtk-gnutella"\
	longtitle="%{summary}"\
	icon="%{name}.png"\
	needs="x11"\
	section="Internet/File Transfer"
EOF
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS LICENSE ChangeLog
%doc remote-shell.txt
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_menudir}/gtk-gnutella
%{_datadir}/applications/gtk-gnutella.desktop

%changelog
* Tue Dec 12 2006 stefan <stefan@zarb.org> 0.96.3-1plf
- 0.96.3

* Mon Oct 30 2006 stefan <stefan@zarb.org> 0.96.2-1plf
- 0.96.2

* Sat Apr 22 2006 trem <trem@zarb.org> 0.96.1-3plf
- fix plf reason (thanks Austin)

* Fri Apr 21 2006 trem <trem@zarb.org> 0.96.1-2plf
- fix plf reason

* Wed Mar 22 2006 trem <trem@zarb.org> 0.96.1-1plf
- 0.96.1

* Sat Feb 25 2006 trem <trem@zarb.org> 0.96-2plf
- change the description
- add -Dofficial=true (thanks christian)

* Sun Jan 29 2006 trem <trem@zarb.org> 0.96-1plf
- 0.96

* Sat Dec 3 2005 Austin Acton <austin@mandriva.org> 0.96-0.beta.1plf
- 0.96b

* Sun Nov 06 2005 Stefan van der Eijk <stefan@zarb.org> 0.95.4-2plf
- mkrel
- don't use non-standard macro %%{_desktopdir}

* Tue Sep 27 2005 trem <trem@zarb.org> 0.95.4-1plf
- 0.95.4

* Fri May 22 2005 trem <trem@zarb.org> 0.95.3-1plf
- 0.95.3

* Fri May 22 2005 trem <trem@zarb.org> 0.95.2-1plf
- 0.95.2

* Fri May 06 2005 trem <trem@zarb.org> 0.95.1-1plf
- 0.95.1

* Sun Dec 12 2004 Austin Acton <austin@zarb.org> 0.95-1plf
- 0.95
- own and include /usr/share/%name

* Tue Oct 19 2004 trem <trem@zarb.org> 0.94-2plf
- fix menu section

* Fri Oct 8 2004 Austin Acton <austin@zarb.org> 0.94-1plf
- 0.94

* Wed Jun 09 2004 Stefan van der Eijk <stefan@eijk.nu> 0.93.4-1plf
- 0.93.4

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.93.3-1plf
- 0.93.3
- Fix DIRM

* Tue Jan 6 2004 Austin Acton <austin@linux.ca> 0.93.2-1plf
- 0.93.2
- remove some patches merged u/s

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 0.93.1-1plf
- 0.93.1
- remove buildrequires gettext_0.12

* Tue Nov 4 2003 Austin Acton <aacton@yorku.ca> 0.93-1plf
- 0.93

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.92.1-1plf
- 0.92.1
- hardwire stupid new configure script
- enable remote control
- buildrequires gettext_0.12
- fix install script
- buildrequires byacc

* Fri Aug 15 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.92.1-0.c.2plf
- rebuild

* Sun Jul 20 2003 andi payn <payn@myrealbox.com> 0.92.1-0.c.1plf
- new prerelease version 0.92.1c

* Sun Jul 20 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.92-2plf
- contributed by andi payn <payn@myrealbox.com>
 - fix buildrequires to ensure xml store, remote shell get built
 - updated description
 - added icons
 - more documentation

* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 0.92-1plf
- 0.92
- BuildRequires

* Wed May 21 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.92-0.20030520.1plf
- contributed by andi payn <payn@myrealbox.com>
 - build from current CVS snapshot
 - support currently-incomplete localization
 - allow experimental features (remote-shell and gtk2) to be built in

* Fri Mar 14 2003 Stefan van der Eijk <stefan@eijk.nu> 0.91.9.1-1plf
- 0.91.9.1

* Sat Dec 14 2002 Austin Acton <aacton@yorku.ca> 0.91.1-1plf
- bump version and buildrequires
- add pixmaps

* Sun Nov 10 2002 Stefan van der Eijk <stefan@eijk.nu? 0.90-2plf
- BuildRequires

* Thu Jul 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.90-1plf
- from Marcel Pol <mpol@gmx.net> 
	- 0.90

* Tue May 14 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.85-1plf
- upped to 0.85

* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 0.80-3plf
- spec clean up: macros, menu, menu section
- %%setup -q
- Buildrequires

* Thu Mar 07 2002 Marcel Pol <mpol@gmx.net> 0.80-2plf
- Used specfile from CVS

* Thu Mar 07 2002 Marcel Pol <mpol@gmx.net> 0.80-1plf
- PLF build

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.80-0.2mdk
- fix menu ( thx Michael Reinsch )

* Thu Jan 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.80-0.1mdk
- 0.80-beta2

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.18-1mdk
- 0.18

* Wed Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12-4mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12-3mdk
- macros
- BM

* Mon Jun 26 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.12-2mdk
- add menu entry

* Mon May 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- first spec
- new in contribs
